Failure to bootstrap (compare failure) for trunk on i686-pc-linux-gnu

Autocrasher autocrasher@devphil.com
Sun Sep 19 03:13:00 GMT 2004


The tree has failed during the bootstrap step.  The last 30 lines of
the log are below; since I do parallel builds, the error may not be on the
last line.

There was a 'make compare' failure:
./rtlhooks.o differs


Attached are the ChangeLogs since the previous run.  Possibly a patch with
your name on it has caused the problem(s).


The full transcript is at http://www.devphil.com/build/
Specific problem logs at http://www.devphil.com/build/reports/tests-trunk/
(explanations of each file are on the main page; you probably want summary*)

Host was an athlon-xp (i686) system.  Target was specified as i686-pc-linux-gnu.

This particular run used standard (previously installed) binutils.

This email is generated by a machine, not sent from a person.  If you think
it's been sent to you in error, please see the gcc-regression list archives
for possible followup discussion; this could be legitimate or it could be a
false positive.  Also watch for email from the other regression testers and
check the logs from the known autobuilders.

If you write a response, please respect the Reply-To: header.


With love,
The Autocrasher (Phil's Builder Bot, version 2.1)

=========================================================================

diff -u1r previous/CL/gcc/ChangeLog broken/CL/gcc/ChangeLog
--- previous/CL/gcc/ChangeLog	2004-09-18 01:40:04.000000000 -0400
+++ broken/CL/gcc/ChangeLog	2004-09-18 16:10:03.000000000 -0400
@@ -1 +1,88 @@
+2004-09-18  Kazu Hirata  <kazu@cs.umass.edu>
+
+	* alias.c, crtstuff.c, dbxout.c, domwalk.c, domwalk.h, gcc.c,
+	gcse.c, global.c, lambda-code.c, loop.c, mips-tdump.c,
+	optabs.h, predict.c, reg-stack.c, regclass.c, sched-rgn.c,
+	tree-optimize.c, tree-ssa-dom.c, tree-ssa-forwprop.c,
+	tree-ssa-operands.c, tree-ssa-phiopt.c,
+	tree-ssa-threadupdate.c: Fix comment typos.
+
+2004-09-18  Kazu Hirata  <kazu@cs.umass.edu>
+
+	* config/darwin-c.c, config/arc/arc.c, config/arc/arc.md,
+	config/arm/README-interworking, config/arm/arm-cores.def,
+	config/arm/arm.c, config/arm/arm.h, config/arm/pe.c,
+	config/arm/vfp.md, config/c4x/c4x.c, config/c4x/c4x.h,
+	config/cris/cris.c, config/cris/cris.h, config/fr30/fr30.c,
+	config/fr30/fr30.h, config/fr30/fr30.md, config/frv/frv.c,
+	config/frv/frv.md, config/i386/winnt.c,
+	config/ia64/unwind-ia64.c, config/iq2000/iq2000.c,
+	config/iq2000/iq2000.h, config/m68hc11/m68hc11.c,
+	config/m68hc11/m68hc11.md, config/m68k/m68k.c,
+	config/mcore/mcore.c, config/mips/mips.h,
+	config/mn10300/mn10300.md, config/pa/pa.c,
+	config/pa/pa64-regs.h, config/pdp11/pdp11.c,
+	config/rs6000/rs6000.c, config/sh/symbian.c,
+	config/sparc/sparc.h: Fix comment typos.  Follow spelling
+	conventions.
+
+2004-09-18  Joseph S. Myers  <jsm@polyomino.org.uk>
+
+	PR c/17424
+	* c-typeck.c (c_expr_sizeof_expr): Check for error_mark_node.
+
+2004-09-18  Diego Novillo  <dnovillo@redhat.com>
+
+	* tree-ssa-alias.c (setup_pointers_and_addressables): Don't
+	remove TREE_ADDRESSABLE from RESULT_DECL.
+
+2004-09-18  Diego Novillo  <dnovillo@redhat.com>
+
+	* tree-ssa-alias.c (dump_alias_info): Ignore NULL SSA_NAMEs.
+
+2004-09-18  Jan Hubicka  <jh@suse.cz>
+
+	* tree-into-ssa.c (rewrite_ssa_into_ssa):  Expect ssa_name to return
+	NULL.
+	* tree-ssa-alias.c (init_alias_info): Likewise.
+	* tree-ssa.c (verify_flow_sensitive_alias_info): Likewise.
+	(verify_ssa): Likewise.
+	* tree-ssanames.c (make_ssa_name): Clear out ssa_names arrays.
+
+2004-09-18  Jan Hubicka  <jh@suse.cz>
+
+	* i386.c (legitimize_pic_address): Fix splitting of PLUS with
+	huge offset.
+
+2004-09-18  Kaz Kojima  <kkojima@gcc.gnu.org>
+
+	* config/sh/linux.h (ASM_PREFERRED_EH_DATA_FORMAT): Remove.
+	* config/sh/sh.h (ASM_PREFERRED_EH_DATA_FORMAT): Use
+	DW_EH_PE_sdata* for data.
+	(ASM_MAYBE_OUTPUT_ENCODED_ADDR_RTX): Likewise.
+
+2004-09-17  Geoffrey Keating  <geoffk@apple.com>
+
+	* tree-inline.c (copy_tree_r): Don't duplicate constants, they're
+	shared anyway.
+
+	PR pch/13361
+	* c-typeck.c (constructor_asmspec): Delete.
+	(struct initializer_stack): Delete field 'asmspec'.
+	(start_init): Delete saving of asmspec.
+	(finish_init): Don't update constructor_asmspec.
+	* dwarf2out.c (rtl_for_decl_location): Duplicate string from tree.
+	* stmt.c (expand_asm): Duplicate strings from tree.
+	(expand_asm_operands): Likewise.
+	* tree.c (tree_size): Update computation of size of STRING_CST.
+	(make_node): Don't make STRING_CST nodes.
+	(build_string): Allocate string with tree node.
+	(tree_code_size): Clean up assertions, don't allow requests
+	for "the size of a STRING_CST".
+	* tree.def (STRING_CST): Update comment.
+	* tree.h (TREE_STRING_POINTER): Adjust for change to STRING_CST.
+	(tree_string): Place contents of string in tree node.
+	* config/sh/sh.c (sh_handle_sp_switch_attribute): Duplicate string
+	from tree.
+
 2004-09-17  Zack Weinberg  <zack@codesourcery.com>
diff -u1r previous/CL/gcc/cp/ChangeLog broken/CL/gcc/cp/ChangeLog
--- previous/CL/gcc/cp/ChangeLog	2004-09-18 01:40:14.000000000 -0400
+++ broken/CL/gcc/cp/ChangeLog	2004-09-18 16:10:13.000000000 -0400
@@ -1 +1,12 @@
+2004-09-18  Kazu Hirata  <kazu@cs.umass.edu>
+
+	* call.c, semantics.c: Follow spelling conventions.
+	* class.c: Fix a comment typo.
+
+2004-09-16  Geoffrey Keating  <geoffk@apple.com>
+
+	PR pch/13361
+	* cp/lex.c (handle_pragma_interface): Duplicate string from tree.
+	(handle_pragma_implementation): Likewise.
+
 2004-09-17  Jeffrey D. Oldham  <oldham@codesourcery.com>
diff -u1r previous/CL/gcc/testsuite/ChangeLog broken/CL/gcc/testsuite/ChangeLog
--- previous/CL/gcc/testsuite/ChangeLog	2004-09-18 01:40:15.000000000 -0400
+++ broken/CL/gcc/testsuite/ChangeLog	2004-09-18 16:10:14.000000000 -0400
@@ -1 +1,16 @@
+2004-09-18  Joseph S. Myers  <jsm@polyomino.org.uk>
+
+	PR c/17424
+	* gcc.dg/pr17424-1.c: New test.
+
+2004-09-18  Diego Novillo  <dnovillo@redhat.com>
+
+	* g++.dg/tree-ssa/pr17153.C: New test.
+
+2004-09-16  Geoffrey Keating  <geoffk@apple.com>
+
+	PR pch/13361
+	* testsuite/g++.dg/pch/wchar-1.C: New.
+	* testsuite/g++.dg/pch/wchar-1.Hs: New.
+
 2004-09-17  Kenneth Zadeck  <Kenneth.Zadeck@NaturalBridge.com>

	  ;; \
	fastcompare* ) \
	  cmp $file stage$stage/$file 16 16 > /dev/null 2>&1; \
	  test $? -eq 1 && echo $file differs >> .bad_compare || true; \
	  ;; \
	gnucompare* ) \
	  cmp --ignore-initial=16 $file stage$stage/$file > /dev/null 2>&1; \
	  test $? -eq 1 && echo $file differs >> .bad_compare || true; \
	  ;; \
      esac ; \
    done; \
  else true; fi; \
done
rm -f tmp-foo*
case "gnucompare" in *compare | *compare-lean ) stage=2 ;; * ) stage=`echo gnucompare | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'` ;; esac; \
if [ -f .bad_compare ]; then \
  echo "Bootstrap comparison failure!"; \
  cat .bad_compare; \
  exit 1; \
else \
  case "gnucompare" in \
    *-lean ) rm -rf stage$stage ;; \
    *) ;; \
  esac; true; \
fi
Bootstrap comparison failure!
./rtlhooks.o differs
make[1]: *** [gnucompare] Error 1
make[1]: Leaving directory `/mnt/build/build-2004-09-18-161001-trunk/gcc'
make: *** [bootstrap] Error 2



More information about the Gcc-regression mailing list